LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Enumerations | Functions
effects.h File Reference
`#include "../libweed/weed.h"`
`#include "effects-weed.h"`

Go to the source code of this file.

## Enumerations
enum | lives_fx_cat_t { LIVES_FX_CAT_NONE =0, LIVES_FX_CAT_VIDEO_GENERATOR, LIVES_FX_CAT_AV_GENERATOR, LIVES_FX_CAT_AUDIO_GENERATOR, LIVES_FX_CAT_DATA_GENERATOR, LIVES_FX_CAT_DATA_VISUALISER, LIVES_FX_CAT_DATA_PROCESSOR, LIVES_FX_CAT_DATA_SOURCE, LIVES_FX_CAT_TRANSITION, LIVES_FX_CAT_AV_TRANSITION, LIVES_FX_CAT_VIDEO_TRANSITION, LIVES_FX_CAT_AUDIO_TRANSITION, LIVES_FX_CAT_EFFECT, LIVES_FX_CAT_VIDEO_EFFECT, LIVES_FX_CAT_AUDIO_EFFECT, LIVES_FX_CAT_UTILITY, LIVES_FX_CAT_COMPOSITOR, LIVES_FX_CAT_AUDIO_MIXER, LIVES_FX_CAT_TAP, LIVES_FX_CAT_SPLITTER, LIVES_FX_CAT_CONVERTER, LIVES_FX_CAT_AUDIO_VOL, LIVES_FX_CAT_ANALYSER, LIVES_FX_CAT_VIDEO_ANALYSER, LIVES_FX_CAT_AUDIO_ANALYSER }
enum | lives_af_t { AF_TYPE_ANY, AF_TYPE_A, AF_TYPE_NONA }
| audio filter type (any, analyser only, non analyser only) More...

## Functions
char * | lives_fx_cat_to_text (lives_fx_cat_t cat, boolean plural) WARN_UNUSED
boolean | do_effect (lives_rfx_t *rfx, boolean is_preview)
| defined as extern in paramwindow.c More...
void | on_render_fx_activate (LiVESMenuItem *menuitem, lives_rfx_t *rfx)
void | on_realfx_activate (LiVESMenuItem *, livespointer rfx)
boolean | on_realfx_activate_inner (int type, lives_rfx_t *rfx)
lives_render_error_t | realfx_progress (boolean reset)
boolean | textparm_callback (LiVESAccelGroup *group, LiVESObject *obj, uint32_t keyval, LiVESXModifierType mod, livespointer user_data)
boolean | grabkeys_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
| for accel groups More...
boolean | grabkeys_callback_hook (LiVESToggleButton *button, livespointer user_data)
| for widgets More...
boolean | rte_on_off_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
| for accel groups More...
boolean | rte_on_off_callback_hook (LiVESToggleButton *, livespointer user_data)
| for widgets More...
boolean | rtemode_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
| for accel groups More...
boolean | rtemode_callback_hook (LiVESToggleButton *, livespointer user_data)
| for widgets More...
boolean | swap_fg_bg_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
weed_plant_t * | get_blend_layer (weed_timecode_t tc)
weed_plant_t * | on_rte_apply (weed_plant_t *main_layer, int opwidth, int opheight, weed_timecode_t tc)
void | deinterlace_frame (weed_plant_t *layer, weed_timecode_t tc)

## Enumeration Type Documentation

enum lives_af_t

audio filter type (any, analyser only, non analyser only)

Enumerator
AF_TYPE_ANY |
AF_TYPE_A |
AF_TYPE_NONA |

enum lives_fx_cat_t

Enumerator
LIVES_FX_CAT_NONE |
LIVES_FX_CAT_VIDEO_GENERATOR |
LIVES_FX_CAT_AV_GENERATOR |
LIVES_FX_CAT_AUDIO_GENERATOR |
LIVES_FX_CAT_DATA_GENERATOR |
LIVES_FX_CAT_DATA_VISUALISER |
LIVES_FX_CAT_DATA_PROCESSOR |
LIVES_FX_CAT_DATA_SOURCE |
LIVES_FX_CAT_TRANSITION |
LIVES_FX_CAT_AV_TRANSITION |
LIVES_FX_CAT_VIDEO_TRANSITION |
LIVES_FX_CAT_AUDIO_TRANSITION |
LIVES_FX_CAT_EFFECT |
LIVES_FX_CAT_VIDEO_EFFECT |
LIVES_FX_CAT_AUDIO_EFFECT |
LIVES_FX_CAT_UTILITY |
LIVES_FX_CAT_COMPOSITOR |
LIVES_FX_CAT_AUDIO_MIXER |
LIVES_FX_CAT_TAP |
LIVES_FX_CAT_SPLITTER |
LIVES_FX_CAT_CONVERTER |
LIVES_FX_CAT_AUDIO_VOL |
LIVES_FX_CAT_ANALYSER |
LIVES_FX_CAT_VIDEO_ANALYSER |
LIVES_FX_CAT_AUDIO_ANALYSER |

## Function Documentation

void deinterlace_frame | ( | weed_plant_t * | layer,
|  | weed_timecode_t | tc
| ) |  |

boolean do_effect | ( | lives_rfx_t * | rfx,
|  | boolean | is_preview
| ) |  |

defined as extern in paramwindow.c

weed_plant_t* get_blend_layer | ( | weed_timecode_t | tc | ) |

boolean grabkeys_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

for accel groups

boolean grabkeys_callback_hook | ( | LiVESToggleButton * | button,
|  | livespointer | user_data
| ) |  |

for widgets

char* lives_fx_cat_to_text | ( | lives_fx_cat_t | cat,
|  | boolean | plural
| ) |  |

void on_realfx_activate | ( | LiVESMenuItem * | ,
|  | livespointer | rfx
| ) |  |

boolean on_realfx_activate_inner | ( | int | type,
|  | lives_rfx_t * | rfx
| ) |  |

void on_render_fx_activate | ( | LiVESMenuItem * | menuitem,
|  | lives_rfx_t * | rfx
| ) |  |

weed_plant_t* on_rte_apply | ( | weed_plant_t * | main_layer,
|  | int | opwidth,
|  | int | opheight,
|  | weed_timecode_t | tc
| ) |  |

lives_render_error_t realfx_progress | ( | boolean | reset | ) |

boolean rte_on_off_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

for accel groups

boolean rte_on_off_callback_hook | ( | LiVESToggleButton * | ,
|  | livespointer | user_data
| ) |  |

for widgets

boolean rtemode_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

for accel groups

boolean rtemode_callback_hook | ( | LiVESToggleButton * | ,
|  | livespointer | user_data
| ) |  |

for widgets

boolean swap_fg_bg_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean textparm_callback | ( | LiVESAccelGroup * | group,
|  | LiVESObject * | obj,
|  | uint32_t | keyval,
|  | LiVESXModifierType | mod,
|  | livespointer | user_data
| ) |  |